MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
ArchiveLookup.hxx File Reference

Go to the source code of this file.

## Functions
bool | archive_lookup (char *pathname, const char **archive, const char **inpath, const char **suffix)
| archive_lookup is used to determine if part of pathname refers to an regular file (archive). More...

## Function Documentation

bool archive_lookup | ( | char * | pathname,
|  | const char ** | archive,
|  | const char ** | inpath,
|  | const char ** | suffix
| ) |  |

archive_lookup is used to determine if part of pathname refers to an regular file (archive).

If so then its also used to split pathname into archive file and path used to locate file in archive. It also returns suffix of the file. How it works: We do stat of the parent of input pathname as long as we find an regular file Normally this should never happen. When routine returns true pathname modified and split into archive, inpath and suffix. Otherwise nothing happens

For example:

/music/path/Talco.zip/Talco - Combat Circus/12 - A la pachenka.mp3 is split into archive: /music/path/Talco.zip inarchive pathname: Talco - Combat Circus/12 - A la pachenka.mp3 and suffix: zip